Method: organizations.locations.workloads.delete

Deletes an Assured Workload.

The returned google.longrunning.Operation has a metadata field of type OperationMetadata and a response field of type google.protobuf.Empty.

HTTP request

DELETE https://{endpoint}/v2/{name=organizations/*/locations/*/workloads/*}

Where {endpoint} is one of the supported service endpoints.

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the workload to delete. Format: organizations/{organization}/locations/{location}/workloads/{workload}

Query parameters

Parameters
etag

string

Optional. The etag of the workload. If this is provided, it must match the server's etag value.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/assuredworkloads
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • assuredworkloads.workload.delete

For more information, see the IAM documentation.